---
name: 🐛 Bug report
about: Create a report to help us improve.
---

[//]: # NOTE: This repository only maintains packages that are listed in the [Readme](https://github.com/webdriverio/webdriverio/blob/master/README.md#packages). Please make sure that your issue is directly caused by one of these packages and if not file an issue in the correct 3rd party package repository.

**Environment (please complete the following information):**
 - **WebdriverIO version:** [e.g. 4.13.2]
 - **Mode:** [Standalone mode or WDIO Testrunner]
 - **If WDIO Testrunner, running sync/async:** [e.g. sync/async]
 - **Node.js version:** [e.g. 8.11.2]
 - **NPM version:** [e.g. 5.8.0]
 - **Browser name and version:** [e.g. Chrome 68]
 - **Platform name and version:** [e.g. Windows 10]
 - **Additional wdio packages used (if applicable):** [e.g. @wdio/spec reporter, @wdio/selenium-standalone service]

**Config of WebdriverIO**
An example of how you configured WebdriverIO config

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:

[Include code or an example repository that can easily be set up]

**Expected behavior**
A clear and concise description of what you expected to happen.

**Log**
If applicable, add logs to help explain your problem.
Create a [gist](https://gist.github.com) which is a paste of your _full_ Selenium/WebdriverIO logs, and link them here. Do _not_ paste your full Appium logs here, as it will make this issue very long and hard to read! If you are reporting a bug, _always_ include Selenium/WebdriverIO logs!

**Additional context**
Add any other context about the problem here.

> Please use the correct markdown
